classification
Title: backport distutils 3.x changes into 2.7 when appliabl
Type: behavior Stage:
Components: Distutils Versions: Python 3.1, Python 2.7
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: tarek Nosy List: loewis, tarek
Priority: high Keywords:

Created on 2009-02-06 09:06 by tarek, last changed 2009-05-12 17:19 by tarek. This issue is now closed.

Messages (7)
msg81253 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2009-02-06 09:06
It's annoying to get conflicts on changes in distutils in the trunk,
when forward-porting to 3.x, because other changes where made there and
only there.

Things like PEP8-ification and modern syntax changes needs to be
backported to 2.7 when appliable to reduce the gap.
msg81317 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2009-02-06 23:41
What specific changes do you have in mind?
msg81320 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2009-02-06 23:51
PEP8 :
  - removing space between function names and () 
     like:  function () -> function()

  - function(arg1,
             arg2,
             arg3)

    becomes 
 
    function(arg1, arg2, arg3)

- remove the usage of string.translate, type(foo) is StringType etc..
msg81325 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2009-02-07 00:19
Hmm. Ok. I was hoping you could point to a revision number...
msg81401 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2009-02-08 18:17
Unfortunately, these changes are most of the time made as small extra
changes when people are working in distutils modules :

they fix something, and in the same changeset, they fix a small PEP-8
issue in the area they are working on.

So it seems hard to merge back the revisions.

What I am doing now (if you think it's OK), is running a diff so my
changes make the trunk look like Py3's one in this area..
msg81403 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2009-02-08 18:27
That's ok in principle, as long as you avoid committing behavioral
changes along with style changes in the same change set.
msg87644 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2009-05-12 17:19
I don't need a ticket for this I guess, it's done progressively
History
Date User Action Args
2009-05-12 17:19:31tareksetstatus: open -> closed

messages: + msg87644
2009-02-08 18:27:10loewissetmessages: + msg81403
2009-02-08 18:17:03tareksetmessages: + msg81401
2009-02-07 00:19:06loewissetmessages: + msg81325
2009-02-06 23:51:01tareksetmessages: + msg81320
2009-02-06 23:41:29loewissetnosy: + loewis
messages: + msg81317
2009-02-06 09:06:27tarekcreate